<?php

declare(strict_types=1);

namespace External\PompoBundle\EventSubscriber\Ordering;

use KupShop\InvoicesBundle\Event\OrderInvoiceEvent;
use KupShop\InvoicesBundle\EventListener\OrderEventListener;

class InvoicesOrderEventSubscriber extends OrderEventListener
{
    public function getInvoiceNumberID(OrderInvoiceEvent $event)
    {
        $order = $event->getOrder();

        if ($order->getLanguage() === 'sk') {
            $event->setInvoiceNumber(10);
        }
    }
}
